---
title: "Get one version and its bundle"
url: https://hexelstudio.com/docs/api/harness/agents/get-one-version-and-its-bundle
---

# Get one version and its bundle

**GET** `/harness/agents/{name}/versions/{version}`

## Headers

- `Authorization: string`

  `Bearer <token>`. A Hexel Studio access token for your organization.

- `X-Workspace-Id: string`

  The workspace the request acts in (`ws_...`). It never grants access by itself.

- `X-Environment-Id: string`

  The environment the request acts in (`env_...`). It never grants access by itself.

## Returns

`200` The version. (`Version`)

- `agent_id: string`

- `bundle: optional AgentBundle`

  An agent spec bundle (at most 512 KiB). `name` must match the path.

  - `name: string`

  - `model: string`

  - `instructions: optional string`

  - `tools: optional array of string`

  - `skills: optional array of string`

  - `budgets: optional object`

    - `max_steps: optional integer`

    - `max_tokens: optional integer`

    - `max_usd: optional number`

    - `max_wall_clock_s: optional number`

- `bundle_digest: string`

- `created_at: string`

- `created_by: string`

- `id: string`

- `registry_revision_id: optional string`

- `version: integer`

## Errors

- `default` 

## Example

```bash
curl --request GET \
  --url 'https://api.hexelstudio.com/v1/harness/agents/{name}/versions/{version}' \
  --header "Authorization: Bearer $ACCESS_TOKEN" \
  --header 'X-Workspace-Id: X_WORKSPACE_ID' \
  --header 'X-Environment-Id: X_ENVIRONMENT_ID'
```

### Response (200)

```json
{
  "agent_id": "string",
  "bundle": {
    "name": "string",
    "model": "string",
    "instructions": "string",
    "tools": [
      "string"
    ],
    "skills": [
      "string"
    ],
    "budgets": {
      "max_steps": 0,
      "max_tokens": 0,
      "max_usd": 0,
      "max_wall_clock_s": 0
    }
  },
  "bundle_digest": "string",
  "created_at": "2026-01-01T00:00:00Z",
  "created_by": "string",
  "id": "string",
  "registry_revision_id": "string",
  "version": 0
}
```
